CGAL 6.2 - Classification

Loading...
Searching...
No Matches
List of all members | Public Member Functions
CGAL::Classification::Feature_base Class Referenceabstract
Reference Manual » Feature

`#include <CGAL/Classification/Feature_base.h>`

Inherited by CGAL::Classification::Feature::Cluster_mean_of_feature, CGAL::Classification::Feature::Cluster_size, CGAL::Classification::Feature::Cluster_variance_of_feature, CGAL::Classification::Feature::Cluster_vertical_extent, CGAL::Classification::Feature::Color_channel< GeomTraits, PointRange, ColorMap >, CGAL::Classification::Feature::Distance_to_plane< PointRange, PointMap >, CGAL::Classification::Feature::Echo_scatter< GeomTraits, PointRange, PointMap, EchoMap >, CGAL::Classification::Feature::Eigenvalue, CGAL::Classification::Feature::Elevation< GeomTraits, PointRange, PointMap >, CGAL::Classification::Feature::Height_above< GeomTraits, PointRange, PointMap >, CGAL::Classification::Feature::Height_below< GeomTraits, PointRange, PointMap >, CGAL::Classification::Feature::Simple_feature< InputRange, PropertyMap >, CGAL::Classification::Feature::Vertical_dispersion< GeomTraits, PointRange, PointMap >, CGAL::Classification::Feature::Vertical_range< GeomTraits, PointRange, PointMap >, and CGAL::Classification::Feature::Verticality< GeomTraits >.

## Definition

Abstract class describing a classification feature that associates a scalar value to each item of the classification input.

Examples
  Classification/example_feature.cpp.

## Public Member Functions
const std::string & | name () const
| returns the name of the feature (initialized to `abstract_feature` for `Feature_base`).
void | set_name (const std::string &name)
| changes the name of the feature.
virtual float | value (std::size_t index)=0
| returns the value taken by the feature for at the item for the item at position `index`.

## Member Function Documentation

## ◆ value()

virtual float CGAL::Classification::Feature_base::value | ( | std::size_t | index | ) |
| pure virtual

returns the value taken by the feature for at the item for the item at position `index`.

This method must be implemented by inherited classes.

Examples
  Classification/example_feature.cpp.